package com.lovecoding.jdbc.dao;

import com.lovecoding.jdbc.anno.Logs;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.jdbc.core.JdbcTemplate;
import org.springframework.stereotype.Repository;

@Repository
public class UserImpl implements User {

    @Autowired
    JdbcTemplate jdbcTemplate;

    /**
     * 扣减用户钱包
     * @param value
     * @param uid
     */
    @Override
    //@Logs
    public void balance(int value, int uid) {
        jdbcTemplate.update(
                "UPDATE t_user set balance = balance - ? WHERE user_id = ?",
                value, uid
        );
    }
}
