package com.lovecoding.jdbc.service;

import com.lovecoding.jdbc.dao.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Propagation;
import org.springframework.transaction.annotation.Transactional;

@Service
public class TestServiceImpl implements TestService {

    @Autowired
    Test test;

    @Override
    @Transactional(
            propagation = Propagation.REQUIRES_NEW
    )
    public void updateTest() {
        test.update();
        //int n = 1 / 0;
        System.out.println( " TestServiceImpl 执行完毕！ " );
    }
}
